defstar {
	name {m2f}
	domain {SDF}
        desc {
matrix to float conversion:
This star reads and outputs the element (1,1) of
the input matrix.
        }
        version {@(#)SDFm2f.pl	1.0 AUG/6/98}
	author { F. Schilder }
	copyright {
Copyright (c) 1998 by Frank Schilder. All rights reserved.
See the file $PTOLEMY/copyright for copyright notice,
limitation of liability, and disclaimer of warranty provisions.
	}
	location { A/D converter simulation package }

        input {
            name { uInput }
            type { float_matrix_env }
 	}
        output {
            name { uOutput }
            type { float }
	}
        ccinclude { <Matrix.h> }
 
	go {
            Envelope uVector;
            (uInput%0).getMessage(uVector);
            const FloatMatrix& nextU = *(const FloatMatrix *) uVector.myData();
            uOutput%0 << nextU.entry(0);
	}
}
